Get a list of practitioners
get
/Practitioner
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of practitioners that meet the supplied query parameters.
- Provide
_id,identifier,family,name, oractive. - Use
givenonly withfamily.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
active: boolean
The practitioner active status.
-
family: string
The family name prefix.
-
given: string
The given name prefix.
-
identifier: string
One or more comma-separated identifier values or system|value tokens.
-
name: string
The name prefix with a minimum length of two characters.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Practitioner
The Oracle US Core Practitioner returned by read and search.
-
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Practitioner
Type:
objectThe Oracle US Core Practitioner returned by read and search.
Show Source
-
active: boolean
-
address: array
address
-
extension: array
extension
-
gender: string
Allowed Values:
[ "male", "female", "other", "unknown" ] -
id(required): string
-
identifier(required): array
identifier
-
meta: object
meta
-
name(required): array
name
-
qualification: array
qualification
-
resourceType(required): string
Allowed Values:
[ "Practitioner" ] -
telecom: array
telecom
-
text: object
Narrative
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ContactPoint
Type:
Show Source
object-
period: object
Period
-
rank: integer
-
system: string
The telecommunications form.
-
use: string
-
value: string
The contact value.
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source